Private Endpoints
All operations require authentication.
List private endpointsBeta
Returns the private endpoints of the project.
Path parameters
Project ID
Headers
Pagination cursor
Pagination size
Response
Computed hash representing the current target specification value
Creation date of the private endpoint
Current state of the private endpoint
Ongoing asynchronous tasks related to the private endpoint
Unique identifier of the private endpoint
Private endpoint readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the private endpoint
Last update date of the private endpoint
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ privateEndpoint \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "endpointId": "string", "hostname": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "publicDnsEnabled": true, "service": { "bandwidth": 0, "name": "string", "port": 0, "tier": "L", "transport": "TCP" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" }, "vipAddress": "192.0.2.0" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "publicDnsEnabled": true, "service": { "name": "string", "tier": "L" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" }, "vipAddress": "192.0.2.0" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get a private endpointBeta
Returns the private endpoint, including its VIP address and public hostname.
Path parameters
Private endpoint ID
Project ID
Response
Computed hash representing the current target specification value
Creation date of the private endpoint
Current state of the private endpoint
Ongoing asynchronous tasks related to the private endpoint
Unique identifier of the private endpoint
Private endpoint readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the private endpoint
Last update date of the private endpoint
Example uses privateEndpointId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ privateEndpoint/ {privateEndpointId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "endpointId": "string", "hostname": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "publicDnsEnabled": true, "service": { "bandwidth": 0, "name": "string", "port": 0, "tier": "L", "transport": "TCP" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" }, "vipAddress": "192.0.2.0" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "publicDnsEnabled": true, "service": { "name": "string", "tier": "L" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" }, "vipAddress": "192.0.2.0" }, "updatedAt": "2024-01-01T12:00:00Z"}
Create a private endpointBeta
Creates a private endpoint to a service in a network or subnet. A project can have only one private endpoint per service and subnet.
Path parameters
Project ID
Request body (required)
Desired target specification for the private endpoint to create
Response
Computed hash representing the current target specification value
Creation date of the private endpoint
Current state of the private endpoint
Ongoing asynchronous tasks related to the private endpoint
Unique identifier of the private endpoint
Private endpoint readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the private endpoint
Last update date of the private endpoint
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ privateEndpoint \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "endpointId": "string", "hostname": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "publicDnsEnabled": true, "service": { "bandwidth": 0, "name": "string", "port": 0, "tier": "L", "transport": "TCP" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" }, "vipAddress": "192.0.2.0" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "publicDnsEnabled": true, "service": { "name": "string", "tier": "L" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" }, "vipAddress": "192.0.2.0" }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete a private endpointBeta
Deletes the private endpoint.
Path parameters
Private endpoint ID
Project ID
Response
Computed hash representing the current target specification value
Creation date of the private endpoint
Current state of the private endpoint
Ongoing asynchronous tasks related to the private endpoint
Unique identifier of the private endpoint
Private endpoint readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the private endpoint
Last update date of the private endpoint
Example uses privateEndpointId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ privateEndpoint/ {privateEndpointId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "endpointId": "string", "hostname": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "publicDnsEnabled": true, "service": { "bandwidth": 0, "name": "string", "port": 0, "tier": "L", "transport": "TCP" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" }, "vipAddress": "192.0.2.0" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "publicDnsEnabled": true, "service": { "name": "string", "tier": "L" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" }, "vipAddress": "192.0.2.0" }, "updatedAt": "2024-01-01T12:00:00Z"}
Update a private endpointBeta
Updates the private endpoint's name or description. Its network, subnet, service and public DNS setting are immutable after creation.
Path parameters
Private endpoint ID
Project ID
Request body (required)
Optional concurrency-control checksum. When supplied, it must match the resource's current checksum or the request is rejected with a 409 checksum-mismatch conflict. When omitted or empty, the concurrency check is skipped and the write is forced (last-write-wins).
Desired target specification for the private endpoint
Response
Computed hash representing the current target specification value
Creation date of the private endpoint
Current state of the private endpoint
Ongoing asynchronous tasks related to the private endpoint
Unique identifier of the private endpoint
Private endpoint readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the private endpoint
Last update date of the private endpoint
Example uses privateEndpointId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ privateEndpoint/ {privateEndpointId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "endpointId": "string", "hostname": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "publicDnsEnabled": true, "service": { "bandwidth": 0, "name": "string", "port": 0, "tier": "L", "transport": "TCP" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" }, "vipAddress": "192.0.2.0" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "publicDnsEnabled": true, "service": { "name": "string", "tier": "L" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" }, "vipAddress": "192.0.2.0" }, "updatedAt": "2024-01-01T12:00:00Z"}